﻿@model  Tuple<object, List<string>>
@{
    string mUrlCR = string.Empty;
    string mNameRep = string.Empty;
    bool mFirst = true;
    List<string> mUrls = new List<string>();

    foreach (string itemUrl in Model.Item2)
    {
        mUrlCR = itemUrl;
        try
        {
            foreach (string item in itemUrl.Split('&'))
            {
                if (!mFirst)
                {

                    string mValue = "";
                    System.Reflection.PropertyInfo mProperty = Model.Item1.GetType().GetProperty(item.Split('=')[1]);
                    if(mProperty == null)
                    {
                        mValue = item.Split('=')[1];
                    }
                    else
                    {
                        mValue = Model.Item1.GetType().GetProperty(item.Split('=')[1]).GetValue(Model.Item1, null).ToString();
                    }

                    string Old = item.Split('=')[1].ToString();

                    mUrlCR = mUrlCR.Replace(Old, mValue);
                }
                else
                {
                    mNameRep = item;
                }
                mFirst = false;
            }

        }
        catch (Exception ex)
        {
            mUrlCR = "";
        }

        if (!string.IsNullOrEmpty(mUrlCR))
        {
            @*<a class="btn btn-lg btn-default" target="_blank" href="@Href("~/CrystalReports/CrystalReportWeb.aspx?path=" + mUrlCR)">View  @mNameRep</a>*@

            mUrls.Add(mUrlCR);

        }

        mFirst = true;

    }

}

<div class="btn-group dropup" role="group">
    <button type="button" class="btn btn-lg btn-default" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        Crystal
        <span class="caret"></span>
    </button>
    <ul class="dropdown-menu">
        @foreach (var item in mUrls)
        {
            <li><a target="_blank" href="@Href("~/CrystalReports/CrystalReportWeb.aspx?path=" + item)">@item.Split('&')[0]</a></li>
        }
    </ul>
</div>




